[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# EAccessViolation

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Access Violation error

## Declaration

Source position: sysutilh.inc line 170

`type EAccessViolation = class(EExternal) ;`

## Inheritance

`EAccessViolation` |  | Access Violation error
`EExternal` |  | External Exception.
`Exception` |  | Base class of all exceptions.
`TObject` |  | Base class of all classes.

## Description

EAccessViolation is raised when the OS reports an Access Violation, i.e. when invalid memory is accessed.

## See also

EObjectCheck |  | A Nil object reference was encountered

Documentation generated on: Feb 26 2014